Join our community of builders on

Telegram!Telegram

Updates an existing notification.

Outdated Version

You're viewing an older version (v1.3.x). The latest documentation is available for the current version. Click here to visit latest version.
PATCH
/api/v1/notifications/{notification_id}
AuthorizationBearer <token>

In: header

Path Parameters

notification_idstring

Notification ID

signing_key?string | null

Optional signing key for securing webhook notifications.

  • None: don't change the existing signing key
  • Some(""): remove the signing key
  • Some("key"): set the signing key to the provided value
type?NotificationType

Notification type enum used by both config file and API

Value in"webhook"
url?string

Response Body

curl -X PATCH "https://loading/api/v1/notifications/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "has_signing_key": true,
    "id": "string",
    "type": "webhook",
    "url": "string"
  },
  "error": "string",
  "metadata": {
    "logs": [
      {
        "level": "log",
        "message": "string"
      }
    ],
    "traces": [
      null
    ]
  },
  "pagination": {
    "current_page": 0,
    "per_page": 0,
    "total_items": 0
  },
  "success": true
}
{
  "data": null,
  "message": "Bad Request",
  "success": false
}
{
  "data": null,
  "message": "Unauthorized",
  "success": false
}
{
  "data": null,
  "message": "Notification not found",
  "success": false
}
{
  "data": null,
  "message": "Internal Server Error",
  "success": false
}